
#include "receiver.h"

#include "jacobi.decl.h"

class main : public Chare
{
private:
  CkAID A;

public:
  main(CkArgMsg *m);
  void allDone(CkQdMsg *);
};

class jacobi: public receiver 
{
private:
  char data[50];
  int iterations;

public:
   jacobi(ArrayElementCreateMessage *m);
   jacobi(ArrayElementMigrateMessage *m);
};

